<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>Tú Crédito</title>
        {% load bootstrap4 %}
        {% bootstrap_css %}
        {% load widget_tweaks %}
        {% load static %}
    </head>
    <body>
        <header>
            <!-- Navigation menu -->
            <div class="container">
                <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarNav">
                        <ul class="navbar-nav">
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'home' %}">Inicio </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link active" href="{% url 'bnk:list' %}">Bancos <span class="sr-only">(current)</span></a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'cli:list' %}">Clientes</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'cre:list' %}">Créditos</a>
                            </li>
                        </ul>
                    </div>
                </nav>
            </div>
        </header>
        <!-- Form create bank -->
        <div class="container mt-5">
            <form method="post" enctype="multipart/form-data" class="border rounded p-3">
                {% csrf_token %}
                <div class="row">
                    <!-- Field name -->
                    <div class="col">
                        <div class="form-group">
                            <label class="font-weight-bold">Nombre:</label>
                            {{ form.name|add_class:"form-control" |add_required_class:"is-required" }}
                        </div>
                    </div>
                    <!-- Field bank type -->
                    <div class="col">
                        <div class="form-group">
                            <label class="font-weight-bold">Tipo:</label>
                            {{ form.bank_type|add_class:"form-control" }}
                        </div>
                    </div>
                </div>
                <div class="row">
                    <!-- Field address -->
                    <div class="col">
                        <div class="form-group">
                            <label class="font-weight-bold">Dirección:</label>
                            {{ form.address|add_class:"form-control" |attr:"rows:3" }}
                        </div>
                    </div>
                </div>
                <!-- Save button -->
                <button type="submit" class="btn btn-success">Aceptar</button>
                <!-- Cancel button -->
                <a href="{% url 'bnk:list' %}"  type="submit" class="btn btn-danger">Cancelar</a>
            </form>
        </div>

        {% bootstrap_javascript jquery='full' %}
    </body>
</html>